Archive/restore a group
Gated by the counterparty_group_archive policy. An archived group stops letting transfers through the whitelist, SILENTLY, without editing the policy
curl -X POST "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/archive" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"archived": true
}'
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/archive"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"archived": true
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/archive", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"archived": true
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"archived": true
}`)
req, err := http.NewRequest("POST", "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/archive", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/archive')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"archived": true
}'
response = http.request(request)
puts response.body
{
"id": "cmr3f41z20001psp7phmyapw3",
"vaultId": "example_string",
"code": "exchanges",
"name": "Exchanges",
"description": "example_string",
"avatarUri": "example_string",
"color": "example_string",
"emoji": "example_string",
"archivedAt": "2026-07-02T11:25:15.134000Z",
"createdAt": "2026-07-02T11:25:15.134000Z",
"updatedAt": "2026-07-02T11:25:15.134000Z"
}
{
"request": {
"id": "cmr3f41z20001psp7phmyapw3",
"vaultId": "example_string",
"action": "example_string",
"status": "example_string",
"initiatorId": "example_string",
"targetType": "example_string",
"targetId": "example_string",
"baseVersion": "example_string",
"payload": "null",
"decisionPolicyId": "example_string",
"decisionPolicyCode": "example_string",
"approvalThreshold": 42,
"resolvedResultId": "example_string",
"resolvedAt": "2026-07-02T11:25:15.134000Z",
"createdAt": "2026-07-02T11:25:15.134000Z",
"updatedAt": "2026-07-02T11:25:15.134000Z",
"approvers": [
{
"id": "example_string",
"userId": "example_string",
"decision": "approve",
"comment": "example_string",
"votedAt": "2026-07-02T11:25:15.134000Z",
"stepIndexesJson": [
42
],
"createdAt": "2026-07-02T11:25:15.134000Z",
"user": {
"id": "example_string",
"name": "John Doe",
"email": "user@example.com",
"username": "John Doe",
"image": "example_string",
"color": "#000",
"emoji": "🦊"
}
}
]
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
/api/v1/vaults/{code}/counterparty-groups/{id}/archiveTarget server for requests. Edit to use your own host.
Session token. Mobile/services. The web uses a cookie.
API key (sent in cookie)
Unique Vault code (slug)
Group id (cuid)
The media type of the request body
true archives, false restores from the archive
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Session token. Mobile/services. The web uses a cookie.
API Key for authentication. Provide your API key in the cookie.
Path Parameters
Group id (cuid)
Body
true archives, false restores from the archive
Responses
cuid